Name:           python-urnparse
Version:        0.2.2
Release:        %autorelease
Summary:        Python library for generating and parsing and RFC 8141 compliant uniform resource names (URN).

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/oarepo/urnparse
Source:         %{pypi_source urnparse}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'urnparse' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-urnparse
Summary:        %{summary}

%description -n python3-urnparse %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-urnparse tests


%prep
%autosetup -p1 -n urnparse-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-urnparse -f %{pyproject_files}


%changelog
%autochangelog